From e22d630dc7439f62e43a5fdbc4e1d7b91d2630bd Mon Sep 17 00:00:00 2001
From: Michael Weber <michaelw@foldr.org>
Date: Mon, 28 Jul 2008 14:52:21 +0200
Subject: [PATCH] Use pop-to-buffer instead of switch-to-buffer.


Signed-off-by: Michael Weber <michaelw@foldr.org>
---
 slime.el |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/slime.el b/slime.el
index d3926db..442227e 100644
--- a/slime.el
+++ b/slime.el
@@ -7872,13 +7872,13 @@ selects a buffer.
 
 BODY is a series of forms which are evaluated when the selector
 is chosen. The returned buffer is selected with
-switch-to-buffer."
+pop-to-buffer."
   `(setq slime-selector-methods
          (sort* (cons (list ,key ,description
                             (lambda () 
                               (let ((buffer (progn ,@body)))
                                 (cond ((get-buffer buffer)
-                                       (switch-to-buffer buffer))
+                                       (pop-to-buffer buffer))
                                       (t
                                        (message "No such buffer: %S" buffer)
                                        (ding))))))
-- 
1.6.0.rc1.2.ge0842b

